Subject: [Gen-art] Genart last call review of draft-ietf-opsawg-ntf-09

From: Gyan Mishra via Datatracker <[email-masked]>
Date: Sat, 23 Oct 2021 17:45:15 -0700

Reviewer: Gyan Mishra
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-opsawg-ntf-??
Reviewer: Gyan Mishra
Review Date: 2021-10-23
IETF LC End Date: 2021-10-27
IESG Telechat date: Not scheduled for a telechat

Summary:
This draft analyzes the overall framework of network telemetry technologies
that exist today and future evolution of telemetry technology and data
gathering from a control plane, data plane and management plane perspective. 
Document is well written.

Major issues:
None

Minor issues:
None
Nits/editorial comments:

Section 4.1.3 Forwarding plane telemetry does not include STAMP RFC 8762.  
Mention traditional non OAM based ping ICMP Echo snd Echo-Reply.

 Also for OAM based maybe list the variety of OAM based ping such as for all
 data planes such as MPLS, RSVP-TE,  L2 VPN pdeudowire OAM ping VCCV (Virtual
 Circuit Connection Verification) RFC 5085 RFC 7189, RFC 5586 GACH PW OAM.

Any of the RFCs listed here maybe include as informative references.

Also NVO3 VXLAN and BIER OAM.  SFC service plane RFC 8924 SFC OAM.

Also DETNET forwarding and service sub planes DETNET OAM.

SDN and SD-WAN, PCEP, BGP all centralized controller based architecture can
also be used for network telemetry.

RESTCONF REST API is missing should be mentioned

---

From: Haoyu Song <[email-masked]>
Date: Mon, 25 Oct 2021 17:07:27 +0000

Hi Gyan,

Thank you very much for your review and feedback!

I have added reference to STAMP and RESTCONF as you suggested. 
I'm a little confused by the difference between OAM-based ping and non OAM-based ping. Could you please elaborate on this?
Please also note that we don't intend to provide an exhaustive survey on all existing OAM tools and proposals, rather we just give some typical representative for each category. Also, we focus more on the underlying techniques (e.g., ping) rather than their adaptation to various dataplanes. Of course, if you think it's important to include those, I'll add a paragraph in the dataplane telemetry subsection.

Best regards,
Haoyu  

-----Original Message-----
From: Gyan Mishra via Datatracker <[email-masked]> 
Sent: Saturday, October 23, 2021 5:45 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Genart last call review of draft-ietf-opsawg-ntf-09

Reviewer: Gyan Mishra

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.

<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftrac.ietf.org%2Ftrac%2Fgen%2Fwiki%2FGenArtfaq&amp;data=04%7C01%7Chaoyu.song%40futurewei.com%7C0dd4f94d2979459a271508d996878f14%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637706331261985874%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=DSab4L9VbFk5ow3f8GuLa5EDgvTjB%2Fs6e2A3g54Oej0%3D&amp;reserved=0>.

Summary:
This draft analyzes the overall framework of network telemetry technologies that exist today and future evolution of telemetry technology and data gathering from a control plane, data plane and management plane perspective. 
Document is well written.

Major issues:
None

Minor issues:
None
Nits/editorial comments:

 Also for OAM based maybe list the variety of OAM based ping such as for all  data planes such as MPLS, RSVP-TE,  L2 VPN pdeudowire OAM ping VCCV (Virtual  Circuit Connection Verification) RFC 5085 RFC 7189, RFC 5586 GACH PW OAM.

SDN and SD-WAN, PCEP, BGP all centralized controller based architecture can also be used for network telemetry.